<script lang="ts">
import Vue from 'vue';
import {
  SlpContainer,
  SlpColumn,
  SlpRow,
  ShareButtons,
} from '../../common/index.vue';

export default Vue.extend({
  name: 'EduSurveyCopyMedia',
  components: {
    ShareButtons,
    SlpRow,
    SlpColumn,
    SlpContainer,
  },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mt-128">
    <section
      v-for="(block, index) in data.block"
      :key="index"
      class="slp-mb-96"
      :data-aos="block.aos_animation"
      :data-aos-duration="block.aos_duration"
    >
      <SlpRow>
        <SlpColumn :cols="6" class="media">
          <div class="media__content">
            <div class="media__color-block media__color-block-1"></div>
            <div class="media__color-block media__color-block-2"></div>
            <img :src="block.image.image_url" :alt="block.image.alt" />
          </div>
          <ShareButtons />
        </SlpColumn>
        <SlpColumn :cols="6" class="copy">
          <SlpTypography
            v-if="block.header"
            tag="h3"
            variant="heading3"
            class="slp-mb-16"
            >{{ block.header }}</SlpTypography
          >
          <SlpTypography
            v-if="block.subtitle"
            tag="h4"
            variant="heading4"
            class="slp-mb-16"
            >{{ block.subtitle }}</SlpTypography
          >
          <div class="copy__body">
            <div
              v-if="block.text"
              class="slp-mb-16"
              v-html="$md.render(block.text)"
            ></div>
            <div v-if="block.links" class="copy__links">
              <a
                v-for="link in block.links"
                :key="link.text"
                :href="link.href"
                :data-ga-name="link.data_ga_name"
                :data-ga-location="link.data_ga_location"
              >
                {{ link.text }}
              </a>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </section>
  </SlpContainer>
</template>

<style scoped lang="scss">
.copy {
  &::v-deep h3 {
    margin-bottom: $spacing-8;
  }

  h4 {
    color: #333333;
    font-size: 19px;
    font-weight: 400;
    line-height: 20px;
    margin-bottom: 16px;

    @media (min-width: $breakpoint-lg) {
      font-size: 23px;
    }
  }

  &__body {
    grid-column: 1 / -1;
    color: #333333;

    &::v-deep p {
      margin-bottom: 1em;
      font-size: 16px;
    }

    &::v-deep li {
      font-size: 16px;
    }

    & ::v-deep p a {
      color: $color-secondary-200;
    }
  }

  &__links {
    display: flex;
    flex-direction: column;

    a {
      display: block;
      margin-top: $spacing-8;
      bottom: $spacing-32;

      &:hover {
        text-decoration: underline;
        color: $color-secondary-300;
      }

      &:after {
        position: absolute;
        content: '→';
        padding-top: 2px;
        padding-left: 4px;
        width: 9px;
        text-decoration: none;
      }
    }
  }
}

.media {
  &__content {
    position: relative;
    display: flex;
    justify-content: center;
  }

  &__color-block {
    position: absolute;

    &-1 {
      top: 100px;
      left: 20px;
      background: #fca326;
      width: 114px;
      height: 114px;
      z-index: -2;
    }

    &-2 {
      top: -11px;
      left: 45px;
      background: #fc6d26;
      height: 121px;
      width: 121px;
      z-index: -20;
    }
  }

  img {
    width: 340px;
    height: 230px;
    max-width: 100%;
    margin: 0 auto;
    display: flex;
  }
}
</style>
